Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class AbstractActionCondition

    java.lang.Object
      oracle.ifs.utils.action.AbstractActionCondition

All Implemented Interfaces:
  ActionCondition

Direct Known Subclasses:
  NumberActionCondition, StringActionCondition, VersionActionCondition

    public abstract class AbstractActionCondition

extends java.lang.Object
implements ActionCondition

A convenience class that adds operation validity check support and basic implementation for all the get and set methods in the interface. Subclasses should register their valid operations using addOperation() before any of their clients can set the current operation in setOperation(). Clients need also implement evaluate().

Field Summary
`protected java.lang.String` | `m_LeftOperand`
`protected java.lang.String` | `m_Operation`
`protected java.lang.String` | `m_RightOperand`

Constructor Summary
`AbstractActionCondition()` Constructs an ActionCondition initializing the validity check support.

Method Summary
`protected void` | `addOperation(java.lang.String operation)` Adds an operation to the valid list of operations.
`java.lang.String` | `getLeftOperand()` Returns the left operand.
`java.lang.String` | `getOperation()` Returns the current operation.
`java.lang.String` | `getRightOperand()` Returns the right operand.
`void` | `setLeftOperand(java.lang.String operand)` Sets the left operand for the current operation.
`void` | `setOperation(java.lang.String operation)` Sets the operation to perform on the left and right operands.
`void` | `setRightOperand(java.lang.String operand)` Sets the right operand for the current operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.utils.action.ActionCondition
`evaluate`

Field Detail

### m_Operation

    protected java.lang.String m_Operation

### m_LeftOperand

    protected java.lang.String m_LeftOperand

### m_RightOperand

    protected java.lang.String m_RightOperand

Constructor Detail

### AbstractActionCondition

    public AbstractActionCondition()

  Constructs an ActionCondition initializing the validity check support.

Method Detail

### getLeftOperand

    public java.lang.String getLeftOperand()

  Description copied from class: `AbstractActionCondition`
  Returns the left operand.

  Specified by:
    `getLeftOperand` in interface `ActionCondition`
  Returns:
    String indicating the current left operand.

### getRightOperand

    public java.lang.String getRightOperand()

  Description copied from class: `AbstractActionCondition`
  Returns the right operand.

  Specified by:
    `getRightOperand` in interface `ActionCondition`
  Returns:
    String indicating the current right operand.

### getOperation

    public java.lang.String getOperation()

  Description copied from class: `AbstractActionCondition`
  Returns the current operation.

  Specified by:
    `getOperation` in interface `ActionCondition`
  Returns:
    String indicating the current operation.

### setLeftOperand

    public void setLeftOperand(java.lang.String operand)

  Description copied from class: `AbstractActionCondition`
  Sets the left operand for the current operation.

  Specified by:
    `setLeftOperand` in interface `ActionCondition`
  Parameters:
    `operand` - String specifying the left operand.

### setRightOperand

    public void setRightOperand(java.lang.String operand)

  Description copied from class: `AbstractActionCondition`
  Sets the right operand for the current operation.

  Specified by:
    `setRightOperand` in interface `ActionCondition`
  Parameters:
    `operand` - String specifying the right operand.

### setOperation

    public void setOperation(java.lang.String operation)

  Description copied from class: `AbstractActionCondition`
  Sets the operation to perform on the left and right operands.

  Specified by:
    `setOperation` in interface `ActionCondition`
  Parameters:
    `operation` - String specifying the operation.
  Throws:
    `java.lang.IllegalArgumentException` - If an invalid operation is specified.

### addOperation

    protected void addOperation(java.lang.String operation)

  Description copied from class: `AbstractActionCondition`
  Adds an operation to the valid list of operations. Subclasses should register all the operations they support before a call to setOperation() is made by any of their clients (unless the default behavior and operation validity chack in setOperation() is changed.)

  Parameters:
    `operation` - String A supported operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD